%global momorel 2

Summary: OpenH323 Gatekeeper - GNU Gatekeeper
Name: openh323gk
Version: 2.0.7
Release: %{momorel}m
URL: http://www.willamowius.de/openh323gk.html
%NoSource 0 http://umn.dl.sourceforge.net/sourceforge/%{name}/gnugk-%{version}.tgz a724f9be68d670082fcd20a2482b58ba
Patch: openh323gk-openh323.patch
Patch1: openh323gk-2.0.7-kddimode.patch
Patch2: openh323gk-init.patch
License: GPL
Group: System Environment/Libraries
BuildPrereq: pwlib-devel
BuildPrereq: openh323-devel >= 1.13.2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
While the  OpenH323  project works on a free H.323 protocol stack, this 
project provides a freely available gatekeeper (GPL) based on OpenH323. 
Both components together form the basis for a free IP telephony system.

%prep
%setup -q -n openh323gk
%patch -p1 -b .openh323
%patch1 -p1 -b .kddi
%patch2 -p1 -b .sysinit

%build
make OPENH323DIR=/usr/share/openh323 NO_LDAP=1 optshared OPTCCFLAGS="-I/usr/include/openh323 $RPM_OPT_FLAGS" %{?_smp_mflags}
make OPENH323DIR=/usr/share/openh323 NO_LDAP=1 addpasswd OPTCCFLAGS="-I/usr/include/openh323 $RPM_OPT_FLAGS" %{?_smp_mflags}
cd docs
sgml2html manual.sgml

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_initscriptdir}

%ifarch %ix86
install -s -m 755 obj_linux_x86_r/gnugk $RPM_BUILD_ROOT%{_sbindir}
install -s -m 755 obj_linux_x86_r/addpasswd $RPM_BUILD_ROOT%{_sbindir}/gkaddpasswd
%else
%ifarch alpha
install -s -m 755 obj_linux_alpha-redhat-linux-gnu_r/gnugk $RPM_BUILD_ROOT%{_sbindir}
install -s -m 755 obj_linux_alpha-redhat-linux-gnu_r/addpasswd $RPM_BUILD_ROOT%{_sbindir}/gkaddpasswd
%else
%ifarch ppc
install -s -m 755 obj_linux_ppc_r/gnugk $RPM_BUILD_ROOT%{_sbindir}
install -s -m 755 obj_linux_ppc_r/addpasswd $RPM_BUILD_ROOT%{_sbindir}/gkaddpasswd
%endif
%endif
%endif

install -m 644 etc/complete.ini $RPM_BUILD_ROOT/etc/gnugk.ini
install -m 755 gk.initd.redhat $RPM_BUILD_ROOT%{_initscriptdir}/gnugk

mkdir -p $RPM_BUILD_ROOT/var/log/gk
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
cat << EOF > $RPM_BUILD_ROOT/etc/logrotate.d/gnugk
/var/log/gk/gk.log {
    rotate 30
    size=100M
    notifempty
    missingok
    postrotate
	kill -HUP \`cat /var/run/gnugk.pid\`
    endscript
}
EOF

%post
/sbin/chkconfig --add gnugk

%preun
if [ $1 = 0 ]; then
    service gnugk stop > /dev/null 2>&1
    /sbin/chkconfig --del gnugk
fi

%postun
if [ "$1" -ge "1" ]; then
    service gnugk condrestart > /dev/null 2>&1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul  3 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.7-2m)
- stop daemon

* Sun Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.7-1m)
- update to 2.0.7
- rebuild against openh323-1.13.4
- revise %%Patch1 (not tested...really work?)

* Sun Mar  9 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.0.3-3m)
  rebuild against openssl 0.9.7a

* Thu Feb 27 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.3-2m)
- remove debug monitor.

* Thu Feb 27 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.3-1m)
- version 2.0.3

* Mon Feb 24 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.2-2m)
- add kddi mode patch.

* Thu Feb  7 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.2-1m)
- import.

* Tue Nov 26 2002 Chih-Wei Huang <cwhuang@linux.org.tw>
- Upgraded 2.0.2

* Mon Nov 11 2002 Chih-Wei Huang <cwhuang@linux.org.tw>
- Upgraded 2.0.1

* Tue Jul 23 2002 Chih-Wei Huang <cwhuang@linux.org.tw>
- Upgraded 2.0

* Fri Mar 29 2002 Chih-Wei Huang <cwhuang@linux.org.tw>
- Upgraded 2.0beta5
- rename to gnugk

* Fri Mar 22 2002 Chih-Wei Huang <cwhuang@linux.org.tw>
- Upgraded 2.0beta4

* Wed Feb 06 2002 Chih-Wei Huang <cwhuang@linux.org.tw>
- Upgraded 2.0beta2
- add alpha support

* Wed Nov 21 2001 Chih-Wei Huang <cwhuang@linux.org.tw>
- Upgraded 1.3

* Mon Nov 12 2001 Chih-Wei Huang <cwhuang@linux.org.tw>
- Upgraded 1.2.1
- add file for logrotate

* Tue Nov 06 2001 Chih-Wei Huang <cwhuang@linux.org.tw>
- Fix bugs in gk

* Fri Nov 02 2001 Chih-Wei Huang <cwhuang@linux.org.tw>
- Upgraded 1.2

* Mon Oct  8 2001 Adi Linden <adi@adis.on.ca> 1.7.0-2
- The first rpm

%files
%defattr(-,root,root)
%doc docs/* etc
%config(noreplace) %{_sysconfdir}/gnugk.ini
%{_initscriptdir}/gnugk
%{_sysconfdir}/logrotate.d/gnugk
%{_localstatedir}/log/gk
%{_sbindir}/gnugk
%{_sbindir}/gkaddpasswd
